#!/usr/bin/env python3

'''
Wrapper for the official Ansible Playbook application
=====================================================
'''

import argparse
from lib.general import MyAnsible

parser = argparse.ArgumentParser(description='Ansible Playbook wrapper by Paragon')
parser.add_argument('playbook',
                    help='Playbook to execute')
parser.add_argument('--local', action='store_true', default=False,
                    help='Set to true to work with the localhost only')
parser.add_argument('--custom', action='store_true', default=False,
                    help='Set to true to only execute playbook in the inventory directory')
parser.add_argument('-r', '--roles-exclude', default=None,
                    help='Comma separated list of rules that should be ignored')

MyAnsible(parser).run()
