#!/usr/bin/env python3

'''
Wrapper for the official Ansible application
============================================

This one is different from ansible.py such that it requires the name of a script
to be executed as the first argument.
'''

import argparse
from lib.general import MyAnsible
from lib.script import Script

parser = argparse.ArgumentParser(description='Ansible script by Paragon',
                                 epilog='Use *ansible-script list* to get a list of all available scripts')
parser.add_argument('script',
                    help='Name of the prepared script to be executed. Use "list" to see all available scripts')

MyAnsible(parser, Script()).run()
