from lib.myqueue import MyQueue
import os
import time


class MyLogQueue(MyQueue):

    logfiles = []


    def __init__(self, path, maxsize=0):
        MyQueue.__init__(self, maxsize)
        self.path = os.path.realpath(path.rstrip(os.sep))
        self.defaultColor = self.getColor(u'0')


    def getColor(self, code):
        return self.prefix + code + self.suffix


    def periodicCall(self):
        while self.running:
            time.sleep(1)
            self.processIncoming()


    def initCompany(self, name):
        filename = "%s%s%s.log" % (self.path, os.path.sep, name)
        self.logfiles.append(filename)
        return len(self.logfiles) - 1, filename


    def createTag(self, stream, tagname, **kwargs):
        return kwargs.get('foreground', '')


    def outputText(self, stream, text, tags, tagname, isnew):
        with open(stream, 'a') as log:
            log.write("%s%s" % (tags[tagname], text))
