from lib.myguiqueue import MyGuiQueue
import os
import sys
import pygtk
pygtk.require('2.0')
import gobject
import gtk


class GuiPart(gtk.Window):


    def __init__(self):
        gobject.threads_init()
        self.queue = MyGuiQueue()
        gtk.Window.__init__(self)
        self.set_title('Ansible')
        self.set_icon_from_file(os.path.dirname(os.path.realpath(__file__)) + os.path.sep + 'ansible.ico')
        self.set_default_size(640, 468)
        self.connect("delete-event", gtk.main_quit)
        self.connect('key-press-event', self.on_key_press)
        self.keymap = gtk.gdk.keymap_get_default()

        command = gtk.Label(' '.join(sys.argv))
        table = gtk.Table(2, 6, False)
        self.add(table)
        notebook = self.queue.initNoteBook()
        table.attach(command, 0, 6, 0, 1, gtk.FILL, gtk.FILL)
        table.attach(notebook, 0, 6, 1, 2)

        notebook.show()
        table.show()


    def main(self):
        self.queue.periodicCall()
        self.show_all()
        gtk.main()


    def on_key_press(self, window, event):
        """Handle a keyboard event"""

        mapping = self.key_mapping(event)

        if mapping:
            if mapping == 'full_screen':
                self.set_fullscreen(not self.isfullscreen)
            elif mapping == 'close_window':
                gtk.main_quit(window, event)
            elif mapping == 'new_tab':
                self.tab_new(self.get_focussed_terminal())
            else:
                return False
            return True


    def key_mapping(self, event):
        """Translate a keyboard event into a mapped key"""
        try:
            keyval, _egp, _lvl, consumed = self.keymap.translate_keyboard_state(
                event.hardware_keycode,
                event.state & ~gtk.gdk.LOCK_MASK,
                event.group)
        except TypeError:
            return None
        if gtk.gdk.CONTROL_MASK & event.state:
            if keyval == 113:# q
                return 'close_window'
        return False
